View Issue Details

IDProjectCategoryView StatusLast Update
0035565LazarusWidgetsetpublic2019-06-23 11:22
ReporterAlexander KoblovAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSmacOSOS Version10.8
Product Version2.1 (SVN)Product Build61198 
Target VersionFixed in Version 
Summary0035565: [Cocoa] PageControl has wrong Top with ShowTabs:= False
DescriptionPageControl top position with ShowTabs:= False is smaller then it should be. See attached screenshots.
Steps To Reproduce1. Execute attached example.
2. Press "Button1".
3. PageControl top position will become smaller and cover the panel with button.
TagsNo tags attached.
Fixed in Revision61399
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Alexander Koblov

2019-05-11 19:32

reporter  

ShowTabs_True.png (15,599 bytes)
ShowTabs_True.png (15,599 bytes)
ShowTabs_False.png (12,709 bytes)
ShowTabs_False.png (12,709 bytes)
PageControl.tgz (132,640 bytes)

Dmitry Boyarintsev

2019-06-15 23:39

developer   ~0116742

please test and close if ok

Issue History

Date Modified Username Field Change
2019-05-11 19:32 Alexander Koblov New Issue
2019-05-11 19:32 Alexander Koblov File Added: ShowTabs_True.png
2019-05-11 19:32 Alexander Koblov File Added: ShowTabs_False.png
2019-05-11 19:32 Alexander Koblov File Added: PageControl.tgz
2019-06-15 23:39 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-06-15 23:39 Dmitry Boyarintsev Status new => resolved
2019-06-15 23:39 Dmitry Boyarintsev Resolution open => fixed
2019-06-15 23:39 Dmitry Boyarintsev Fixed in Revision => 61399
2019-06-15 23:39 Dmitry Boyarintsev LazTarget => -
2019-06-15 23:39 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-06-15 23:39 Dmitry Boyarintsev Note Added: 0116742
2019-06-23 11:22 Alexander Koblov Status resolved => closed